Attribute VB_Name = "Constant"
' BMW I-BUS Analyser.
' Written by Franck Touanen.
' E-Mail : ftouanen@yahoo.fr
'
'
' This source is distributed under GPL licence.
' No commercial usage authorized.

Option Explicit

' WIN32 API

Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)
Public CommErrorMsg As String
Public MyCOMPort As Integer





' Main Sub of the application
Sub Main()

Load frmCommon

Load frmDumpForm


End Sub
' Return an HEXA formatted string from an ascii string
Public Function GetHexaFromAscii(ByRef StrAsc As Variant)

Dim i, Ch As Integer
Dim Hexa, WorkStr As String


For i = 1 To Len(StrAsc)
    
    Ch = Asc(Mid(StrAsc, i, 1))
    Hexa = Hex$(Ch)
    
    If Len(Hexa) = 1 Then
       Hexa = "0" & Hexa
    End If
    
    WorkStr = WorkStr & Hexa & " "
Next i

GetHexaFromAscii = Trim(WorkStr)

End Function

' Transform an HEX string to an Ascii string

Public Function GetAsciiFromHex(ByRef mymsg As Variant)

    Dim i, hexcode As Integer
    Dim WorkStr As Variant
     
    WorkStr = ""
    For i = 1 To Len(mymsg)
        If Mid$(mymsg, i, 1) <> " " Then
            
            hexcode = Val("&H0" & Mid$(mymsg, i, 2))
            i = i + 1
            WorkStr = WorkStr & Chr(hexcode)
                    
        End If
    Next i

    GetAsciiFromHex = WorkStr
End Function
' Perform a XOR checksum for Mymsg
' Note : the XOR byte must be set to 00 if passed in MyMsg
' The XOR byte is calculated on the full message :
' Sender ID, Len, Dest Id, Data,Cksum set to zero first

Function compute_cksum(ByRef mymsg As Variant, mymsglen As Integer) As Integer

    Dim cksum, k As Integer

    cksum = 0

    For k = 1 To mymsglen

        cksum = cksum Xor Asc(Mid(mymsg, k, 1))
        

    Next k
    
    compute_cksum = cksum
End Function
'
Public Function SendMsgToIbus(mymsg As String) As Boolean
'
'  We must first assert the RTS line to reset
'  the collision detect circuit and enable
'  transmit data.
Dim i, j, Retry As Integer
Dim OkTr As Boolean
Dim Ch As Integer
  

        
        frmCommon.MSComm1.Output = mymsg
        
        
        
    SendMsgToIbus = True
End Function

