VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Object = "{648A5603-2C6E-101B-82B6-000000000014}#1.1#0"; "MSCOMM32.OCX"
Begin VB.Form frmCommon 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin MSCommLib.MSComm MSComm1 
      Left            =   360
      Top             =   240
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
      DTREnable       =   0   'False
      BaudRate        =   19200
      InputMode       =   1
   End
   Begin MSComDlg.CommonDialog dlgFile 
      Left            =   360
      Top             =   960
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      CancelError     =   -1  'True
   End
End
Attribute VB_Name = "frmCommon"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Thresold for COM input

Const COM_THRES = 1
Const RTSDelay = 30
Public InData As String


Public Sub InitCom(ComPort As Integer)
  
    ' If the port is already open , reset it

    If (MSComm1.PortOpen) Then MSComm1.PortOpen = False

    If ComPort < 1 Or ComPort > 5 Then
    
        MsgBox "COM Port Error. Please Specify one valid COM Port."
        Exit Sub
        
    End If
    
    MSComm1.CommPort = ComPort
   
    
    ' Fire Rx & TX Event Every 1 Byte (whenever data received/sent)

    MSComm1.RThreshold = 1
    MSComm1.SThreshold = 0

    MSComm1.ParityReplace = ""
    
    MSComm1.InBufferSize = 1024
    MSComm1.OutBufferSize = 1024
  
    MSComm1.Settings = "19200,N,8,1"

    ' When Inputting Data, Input All Bytes at a time
    MSComm1.InputLen = 0

    ' handshaking is none

    MSComm1.Handshaking = comNone
  
    ' Don't mess with binary streams

    MSComm1.InputMode = comInputModeText
    
    ' Don't discard null value.

    MSComm1.NullDiscard = False

End Sub


Private Sub Form_Unload(Cancel As Integer)
    
    If MSComm1.PortOpen = True Then MSComm1.PortOpen = False
 

End Sub

Private Sub MSComm1_OnComm()

CommErrorMsg = ""


Select Case MSComm1.CommEvent
    'Handle each event or error by placing
    'code below each case statement
      
    'CommErrorMsg = ""
  
    'Errors
    'Case comEventBreak
     '   ComErrorMsg = ComErrorMsg & vbCrLf & "Break"
    'Case comEventCDTO
     '   ComErrorMsg = ComErrorMsg & vbCrLf & "CD Timeout."
    'Case comEventCTSTO
     '   ComErrorMsg = ComErrorMsg & vbCrLf & "CTS Timeout."
    'Case comEventDSRTO
     '   ComErrorMsg = ComErrorMsg & vbCrLf & "DSR Timeout."
    Case comEventFrame
        ComErrorMsg = ComErrorMsg & vbCrLf & "Framing Error"
    Case comEventOverrun
        ComErrorMsg = ComErrorMsg & vbCrLf & "Overrun; data Lost."
    Case comEventRxOver
        ComErrorMsg = ComErrorMsg & vbCrLf & "Receive buffer overflow."
        ' Stop Receiving EVENTS
        'MSComm1.RThreshold = 0
    
        
    'Case comEventRxParity
     '   ComErrorMsg = ComErrorMsg & vbCrLf & "Parity Error."
       
     Case comEventTxFull
        ComErrorMsg = ComErrorMsg & vbCrLf & "Transmit buffer full."
        ' Stop Transmiting EVENTS
      '  MSComm1.SThreshold = 0
      
        
        
     'Case comEventDCB
      '  ComErrorMsg = ComErrorMsg & vbCrLf & "Unexpected error retrieving DCB."

    ' Events
    'Case comEvCD
     '   ComErrorMsg = ComErrorMsg & vbCrLf & "Change in the CD line."
    'Case comEvCTS
     '   ComErrorMsg = ComErrorMsg & vbCrLf & "Change in the CTS line."
    'Case comEvDSR
     '   ComErrorMsg = ComErrorMsg & vbCrLf & "Change in the DSR line."
    'Case comEvRing
     '   ComErrorMsg = "Change in the RI line."
    Case comEvReceive
        'ComErrorMsg = ComErrorMsg & vbCrLf & "Receive"
                
                ' Get data
                InData = MSComm1.Input
              
                    
                'Print InData
                frmDumpForm.RichTextBox1.Text = frmDumpForm.RichTextBox1.Text & InData
                
                
                
            
                
                
        

    ' Case comEvSend
        'ComErrorMsg = ComErrorMsg & vbCrLf & "Transmit buffer has SThreshold number of characters."
     'Case comEvEOF
        'ComErrorMsg = ComErrorMsg & vbCrLf & "EOF character (1Ah) received."
End Select

If ComErrorMsg = vbCrLf Then ComErrorMsg = ""


'Use for debuggging:
frmDumpForm.RchDebug.Text = frmDumpForm.RchDebug.Text & ComErrorMsg

End Sub
